import request from '/@/utils/request';

export function inspectIndexApi() {
    return {
        //
        getCountExcepOrder: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckSmartScreen/select/countExcepOrderByLineChart`,
                method: 'post',
                data: data
            });
        },

        //
        getListExcepOrderByPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheck/abnormalWorkOrder/select/listExcepOrderByPage`,
                method: 'post',
                data: data
            });
        },

        //
        falseAlarmStatus: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheck/abnormalWorkOrder/update/falseAlarmStatusById`,
                method: 'post',
                data: data
            });
        },

        //
        acceptedStatus: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheck/abnormalWorkOrder/update/acceptedStatusById`,
                method: 'post',
                data: data
            });
        },

        //
        getListImages: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheck/abnormalWorkOrder/select/listImagesById`,
                method: 'post',
                data: data
            });
        },
    };
}
